#!/bin/bash

VER="$(grep "'version':" info | cut -d \' -f4)"
echo BUILD v${VER}
echo

mkdir -p build || exit 1

echo CLEAN
rm -Rf build/*

echo 
echo BUILD web.tar
tar cvf build/web.tar plugins

echo
echo BUILD notifications.tar
tar cvf build/notifications.tar -C notifications rocketchat

echo
echo COPY INFO
cp info* build/

echo
echo CREATE MKP rocketchat-notification-${VER}.mkp
tar cvfz rocketchat-notification-${VER}.mkp -C build info info.json web.tar notifications.tar
